"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyProtocolIdentifier = void 0;
var ProxyProtocolVersion_1 = require("./ProxyProtocolVersion");
var V1BinaryProxyProtocol_1 = require("./v1/V1BinaryProxyProtocol");
var V1ProxyProtocol_1 = require("./v1/V1ProxyProtocol");
var V2ProxyProtocol_1 = require("./v2/V2ProxyProtocol");
var ProxyProtocolIdentifier = (function () {
    function ProxyProtocolIdentifier() {
    }
    ProxyProtocolIdentifier.identify = function (data) {
        if (typeof data === 'string') {
            if (V1ProxyProtocol_1.V1ProxyProtocol.isValidProtocolSignature(data)) {
                return ProxyProtocolVersion_1.ProxyProtocolVersion.V1;
            }
            return ProxyProtocolVersion_1.ProxyProtocolVersion.NOT;
        }
        if (V1BinaryProxyProtocol_1.V1BinaryProxyProtocol.isValidProtocolSignature(data)) {
            return ProxyProtocolVersion_1.ProxyProtocolVersion.V1;
        }
        if (V2ProxyProtocol_1.V2ProxyProtocol.isValidProtocolSignature(data)) {
            return ProxyProtocolVersion_1.ProxyProtocolVersion.V2;
        }
        return ProxyProtocolVersion_1.ProxyProtocolVersion.NOT;
    };
    return ProxyProtocolIdentifier;
}());
exports.ProxyProtocolIdentifier = ProxyProtocolIdentifier;
//# sourceMappingURL=ProxyProtocolIdentifier.js.map