import { INETProtocol } from './enum/INETProtocol';
import { Peer } from './Peer';
export declare class V1ProxyProtocolParseError implements Error {
    readonly message: string;
    readonly name: string;
    constructor(message: string);
}
export declare class V1ProxyProtocol {
    readonly inetProtocol: INETProtocol;
    readonly source: Peer;
    readonly destination: Peer;
    readonly data?: string | undefined;
    private static readonly protocolSignature;
    private static readonly v1ProxyProtocolRegexp;
    constructor(inetProtocol: INETProtocol, source: Peer, destination: Peer, data?: string | undefined);
    build(): string;
    static parse(input: string): V1ProxyProtocol;
    static isValidProtocolSignature(input: string): boolean;
}
