import { IPv4ProxyAddress } from '../proxy_address/IPv4ProxyAddress';
import { IPv6ProxyAddress } from '../proxy_address/IPv6ProxyAddress';
import { UnixProxyAddress } from '../proxy_address/UnixProxyAddress';
import { UnspecProxyAddress } from '../proxy_address/UnspecProxyAddress';
export declare enum AddressFamilyType {
    UNSPEC = 0,
    INET = 16,
    INET6 = 32,
    UNIX = 48
}
export declare class AddressFamily {
    private readonly addressFamilyType;
    constructor(addressFamilyType: AddressFamilyType);
    getLength(): number;
    getFactoryMethod(): (d: Uint8Array) => IPv4ProxyAddress | IPv6ProxyAddress | UnixProxyAddress | UnspecProxyAddress;
}
